summaryrefslogtreecommitdiff
path: root/old/tidy.sh
diff options
context:
space:
mode:
authorSteph Enders <steph@senders.io>2024-02-29 09:31:15 -0500
committerSteph Enders <steph@senders.io>2024-02-29 09:31:15 -0500
commit2b39175011422a0d8f96d7f598f46e2a781dd28f (patch)
treedd896a1e35e2ec194bfce829afd61f553652464a /old/tidy.sh
parent350a5058cf383733a7e75f753abdcd1cb7aae2c5 (diff)
Initial rework commit: Build Script POC and CSS done
I've created the main CSS layout and a proof of concept for the build script: this will actually build any "done" _post/ file and generate it as a workable HTML file. However, no index file generate, rss, or gemini is implemented
Diffstat (limited to 'old/tidy.sh')
-rwxr-xr-xold/tidy.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/old/tidy.sh b/old/tidy.sh
new file mode 100755
index 0000000..6efdb2d
--- /dev/null
+++ b/old/tidy.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+if [ $# == 0 ]; then
+ find www/ -name '*.html' -type f -print -exec tidy -mq -config tidy.conf '{}' \;
+ if [ $? -lt 2 ]; then
+ exit 0
+ fi
+else
+ tidy -mq -config tidy.conf $@
+ if [ $? -lt 2 ]; then
+ exit 0
+ fi
+fi